%3CLINGO-SUB%20id%3D%22lingo-sub-794279%22%20slang%3D%22en-US%22%3EFeatureVersionMismatch%20while%20performing%20a%20list%20blob%20operation%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-794279%22%20slang%3D%22en-US%22%3E%3CP%3E%3CSTRONG%3E%3CSPAN%20style%3D%22font-size%3A%2010.0pt%3B%20line-height%3A%20107%25%3B%22%3EScenario%3A%3C%2FSPAN%3E%3C%2FSTRONG%3E%3C%2FP%3E%0A%3CP%3E%3CSPAN%20style%3D%22font-size%3A%2010.0pt%3B%20line-height%3A%20107%25%3B%22%3EWhile%20performing%20a%20list%20blob%20operation%20on%20my%20Azure%20Storage%20account%2C%20I%20got%20the%20response%20code%20409%20with%20FeatureVersionMismatch%20error.%20%3C%2FSPAN%3E%3C%2FP%3E%0A%3CP%3E%3CSPAN%20style%3D%22font-size%3A%2010.0pt%3B%20line-height%3A%20107%25%3B%22%3EThe%20error%20message%20looks%20like%20below%3A%3C%2FSPAN%3E%3C%2FP%3E%0A%3CP%3E%3CSTRONG%3E%3CSPAN%20style%3D%22font-size%3A%2010.0pt%3B%20line-height%3A%20107%25%3B%22%3EBrowser%3A%3C%2FSPAN%3E%3C%2FSTRONG%3E%3C%2FP%3E%0A%3CP%3E%3CSPAN%20class%3D%22lia-inline-image-display-wrapper%20lia-image-align-inline%22%20style%3D%22width%3A%20999px%3B%22%3E%3CIMG%20src%3D%22https%3A%2F%2Fgxcuf89792.i.lithium.com%2Ft5%2Fimage%2Fserverpage%2Fimage-id%2F126135iAC2ED09648957B16%2Fimage-size%2Flarge%3Fv%3D1.0%26amp%3Bpx%3D999%22%20alt%3D%22FeatureVersionMismatch.PNG%22%20title%3D%22FeatureVersionMismatch.PNG%22%20%2F%3E%3C%2FSPAN%3E%3C%2FP%3E%0A%3CP%20style%3D%22margin-bottom%3A%2012.0pt%3B%20line-height%3A%20normal%3B%22%3E%3CSTRONG%3E%3CSPAN%20style%3D%22font-size%3A%2010.0pt%3B%22%3EInvoking%20rest%20Azure%20List%20Blob%20API%20from%20Fiddler%3A%3C%2FSPAN%3E%3C%2FSTRONG%3E%3C%2FP%3E%0A%3CP%3E%3CSTRONG%3E%3CSPAN%20class%3D%22lia-inline-image-display-wrapper%20lia-image-align-inline%22%20style%3D%22width%3A%20999px%3B%22%3E%3CIMG%20src%3D%22https%3A%2F%2Fgxcuf89792.i.lithium.com%2Ft5%2Fimage%2Fserverpage%2Fimage-id%2F126138iA55086A1334536A1%2Fimage-size%2Flarge%3Fv%3D1.0%26amp%3Bpx%3D999%22%20alt%3D%22FeatureVersionMismatchFiddler.PNG%22%20title%3D%22FeatureVersionMismatchFiddler.PNG%22%20%2F%3E%3C%2FSPAN%3E%3C%2FSTRONG%3E%3C%2FP%3E%0A%3CP%3E%3CSTRONG%3ECause%3A%3C%2FSTRONG%3E%3C%2FP%3E%0A%3CP%3EI%20spent%20some%20time%20to%20check%20what%20could%20be%20the%20cause%20until%20I%20saw%20the%20API%20version%20in%20the%20SAS%20token.%20We%20can%20see%20that%20it%20is%20using%20API%20version%20%3CU%3E%3CFONT%20color%3D%22%23339966%22%3E%3CSTRONG%3E2014-02-14%3C%2FSTRONG%3E%3C%2FFONT%3E%3C%2FU%3E.%20With%20this%20version%2C%20if%20you%20perform%20List%20blob%20operation%20on%20an%20azure%20storage%20container%20which%20contains%20an%20append%20blob%20it%20will%20result%20in%20the%20above%20error.%3C%2FP%3E%0A%3CP%3E%3CSTRONG%3E%26nbsp%3B%3C%2FSTRONG%3E%3C%2FP%3E%0A%3CP%3E%3CSTRONG%3EFix%3A%3C%2FSTRONG%3E%3C%2FP%3E%0A%3CUL%3E%0A%3CLI%3EUse%20the%20updated%20API%20version%20after%202015-02-21.%3C%2FLI%3E%0A%3CLI%3EIf%20you%20are%20using%20the%20SDK%2C%20make%20sure%20you%20are%20using%20most%20recent%20Azure%20Storage%20SDK.%3C%2FLI%3E%0A%3C%2FUL%3E%0A%3CP%3E%26nbsp%3B%3C%2FP%3E%0A%3CP%3E%3CSTRONG%3EMore%20information%3A%3C%2FSTRONG%3E%3C%2FP%3E%0A%3CP%3E%3CSPAN%3E%3CA%20href%3D%22https%3A%2F%2Fdocs.microsoft.com%2Fen-us%2Frest%2Fapi%2Fstorageservices%2Flist-blobs%22%20target%3D%22_blank%22%20rel%3D%22noopener%20noopener%20noreferrer%20noopener%20noreferrer%22%3Ehttps%3A%2F%2Fdocs.microsoft.com%2Fen-us%2Frest%2Fapi%2Fstorageservices%2Flist-blobs%3C%2FA%3E%20%3C%2FSPAN%3E%3C%2FP%3E%0A%3CP%3E%3CSPAN%3E%26nbsp%3B%3C%2FSPAN%3E%3C%2FP%3E%0A%3CP%3E%3CSPAN%3EHope%20this%20helps.%3C%2FSPAN%3E%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-LABS%20id%3D%22lingo-labs-794279%22%20slang%3D%22en-US%22%3E%3CLINGO-LABEL%3EFeatureVersionMismatch%20while%20performing%20a%20list%20blob%20operation%3C%2FLINGO-LABEL%3E%3CLINGO-LABEL%3EThe%20type%20of%20a%20blob%20in%20the%20container%20is%20unrecognized%20by%20this%20version%3C%2FLINGO-LABEL%3E%3C%2FLINGO-LABS%3E
Microsoft

Scenario:

While performing a list blob operation on my Azure Storage account, I got the response code 409 with FeatureVersionMismatch error.

The error message looks like below:

Browser:

FeatureVersionMismatch.PNG

Invoking rest Azure List Blob API from Fiddler:

FeatureVersionMismatchFiddler.PNG

Cause:

I spent some time to check what could be the cause until I saw the API version in the SAS token. We can see that it is using API version 2014-02-14. With this version, if you perform List blob operation on an azure storage container which contains an append blob it will result in the above error.

 

Fix:

  • Use the updated API version after 2015-02-21.
  • If you are using the SDK, make sure you are using most recent Azure Storage SDK.

 

More information:

https://docs.microsoft.com/en-us/rest/api/storageservices/list-blobs

 

Hope this helps.